#!/bin/bash

set -e

# setup
mkdir build
cd build
mkdir iw4
mkdir iw5
cd iw5
mkdir mp
cd ..
cd ..

# ready for release
cp iw4/scripts/mp/_jump.gsc build/iw4
echo "Created release for IW4"

# replace gsc extension with c. It will make gcc very happy
mv iw5/scripts/mp/_jump.gsc iw5/scripts/mp/_jump.c

# perform macro expansion
gcc -D_UTILITY_DEBUG -DIW5 -DCI -E "iw5/scripts/mp/_jump.c" -o _jump.in

# remove things gcc added to the file that we do not need
python3 .gitea/scripts/clean.py _jump.in _jump.gsc

# ready for release
mv _jump.gsc build/iw5/_jump.gsc
cp iw5/mp/perkTable.csv build/iw5/mp

echo "Created release for IW5"
